* lasso.prg
*
* builder that sets the fontname and fontsize of
* all selected controls in the form
*
*

para m.lcX, m.lcY, m.lcZ

local array laObjSel[1]
local lcFontName, lnFontSize, lnNumObj

*
* the font name and size are hard-coded for this example
*
lcFontName = "Courier New"
lnFontSize = 14

*
* place the names of all selected controls into an array
*
lnNumObj = aselobj(laObjSel)

*
* if we've got some in the array, change the 
* font name and size for each control
*

if lnNumObj > 0
  for i = 1 to lnNumObj

    laObjSel[i].FontName = lcFontName
    laObjSel[i].FontSize = lnFontSize

  endfor
endif

